      SUBROUTINE TARGSPHER(AEFF,PRINAX,BETA,RLMAX,S2,RSEED,
     &                     A1,A2,DX,CFLSHP,CDESCR,
     &                     IOSHP,MXNAT,NAT,IXYZ,ICOMP)
      IMPLICIT NONE

C Arguments:

      CHARACTER CDESCR*67,CFLSHP*(*)
      INTEGER IOSHP,MXNAT,NAT
      INTEGER*2 ICOMP(MXNAT,3),IXYZ(MXNAT,3)
      REAL AEFF,BETA,PRINAX,RLMAX,RSEED,S2,S2LMAX
      REAL A1(3),A2(3),DX(3)

c local variables

      CHARACTER CMSGNM*70

c=======================================================================
c Fake version of subroutine TARGSPHER
c
c This routine acts as a placeholder for subroutine TARGSPHER
c which will generate "gaussian sphere" targets.
c to be released at a later date.

c B.T. Draine, Princeton University Observatory.
c
c=======================================================================
      WRITE(CMSGNM,FMT='(A)')
     &   'Fatal error: target option GSPHER not valid:'
      CALL WRIMSG('TARGSPHER',CMSGNM)
      WRITE(CMSGNM,FMT='(A)')
     &   ' subroutine TARGSPHER is not available in DDSCAT 6.1'
      CALL WRIMSG('TARGSPHER',CMSGNM)
      STOP
      END
